Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159235 - RFE: track pkgconfig dependencies
Summary: RFE: track pkgconfig dependencies
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 153936
TreeView+ depends on / blocked
 
Reported: 2005-05-31 19:17 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-06 15:43:33 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2005-05-31 19:17:05 UTC
Description of problem:
Development packages which provide .pc files often require .pc files (and
headers, and libraries) provided by other development packages.  Fedora Core's
pkgconfig package (at least as of 1:0.15.0-6) can be used to query this
information.  It would be useful if the RPM recorded this dependency information
in packages so that it could be tracked.

Version-Release number of selected component (if applicable):
4.4.1-21

How reproducible:
Always

Steps to Reproduce:
1. Install pygtk2-devel, uninstall glib2-devel.
2. Attempt to compile anything using pygtk2's pygobject-2.0.pc file.
3. Scratch your head in confusion.
  
Actual results:
Failure to link.

Expected results:
Successful link, or a dependency between pygtk2-devel and glib2-devel at least
getting in your way.

Additional info:
Scripts for extracting requires/provides information are in bugzilla as
attachment #112736 [details] and attachment #112737 [details], attached to bug #153936.

Comment 1 Jeff Johnson 2005-07-13 12:13:34 UTC
Scripts added to rpm-4_4 CVS, no plumbing yet.

Comment 2 Jeff Johnson 2005-11-06 15:43:33 UTC
Fixed in cvs, will be oin rpm-4.4.3-0.38 when built.


Note You need to log in before you can comment on or make changes to this bug.